Get loyalties
curl --request GET \
--url https://api.yume.cloud/v1/crm/loyalties/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yume.cloud/v1/crm/loyalties/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yume.cloud/v1/crm/loyalties/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"apple_design": {
"id": 123,
"loyalty": 123,
"logo": "<string>",
"logo_2x": "<string>",
"logo_1x": "<string>",
"icon": "<string>",
"icon_2x": "<string>",
"icon_1x": "<string>",
"strip_image_2x": "<string>",
"strip_image_1x": "<string>",
"background_color": "<string>",
"foreground_color": "<string>",
"label_color": "<string>",
"strip_color": "<string>",
"logo_text": "<string>",
"suppress_strip_shine": true,
"description": "<string>",
"strip_image": "<string>"
},
"google_design": {
"id": 123,
"loyalty": 123,
"program_logo": "<string>",
"hex_background_color": "<string>",
"program_name": "<string>",
"rewards_tier": "<string>",
"rewards_tier_label": "<string>",
"secondary_rewards_tier": "<string>",
"secondary_rewards_tier_label": "<string>",
"account_id_label": "<string>",
"account_name_label": "<string>",
"hero_image": "<string>",
"text_modules": "<unknown>",
"links_module": "<unknown>"
},
"price": "<string>",
"name": "<string>",
"percent": -1,
"grant_limit": "<string>",
"event_limit": "<string>",
"delivery_limit": "<string>",
"tenant": 123
}
]loyalties
Get loyalties
GET
/
v1
/
crm
/
loyalties
/
Get loyalties
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Ответ
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Maximum string length:
255Требуемый диапазон:
-2147483648 <= x <= 2147483647Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$